Entur Developer
Personnel tickets

Updated lists of valid codes to use for different properties


Get available ticket types

GET
https://api.entur.io
/personnelticket/v2/code-pages/ticket-types

Get available ticket types. The ticket type informs of which country it is valid in and what train class it covers.

Get available ticket types › query Parameters

includeDeleted
​boolean · style: form · explode: true
generatesTicketRights
​boolean · style: form · explode: true
page
​integer · int32 · style: form · explode: true
perPage
​integer · int32 · style: form · explode: true

Get available ticket types › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get available ticket types › Responses

OK

Paged content
​TicketTypeResponse[] · required

All items for this page

totalItems
​integer · int64 · required

Total items which could be returned

Example: 1
totalPages
​integer · int64 · required

Total number of pages

Example: 1

Get available personnel ticket products

GET
https://api.entur.io
/personnelticket/v2/code-pages/products

Get available personnel ticket products › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get available personnel ticket products › Responses

OK

A personnel ticket product
id
​integer · int64 · required

The product id

name
​string · required

Human readable product name

validFrom
​string · date · required

When the product is valid from

Example: 2023-01-01
validUntil
​string · date · required

When the product is valid to

Example: 2023-01-01

Get types of pay an employee can have

GET
https://api.entur.io
/personnelticket/v2/code-pages/pay-types

Get types of pay an employee can have › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get types of pay an employee can have › Responses

OK

Pay type - see the codes in the API documentation
code
​string · readOnly · required

The code used for input

description
​string · readOnly · required

A description of the particular code's meaning


Get family relations available

GET
https://api.entur.io
/personnelticket/v2/code-pages/family-relations

Get family relations available. A family relation is between an employee and their family member(s)

Get family relations available › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get family relations available › Responses

OK

The relation a family member has to an employee
code
​string · readOnly · required

The code used for input

description
​string · readOnly · required

A description of the particular code's meaning


Get types of employment

GET
https://api.entur.io
/personnelticket/v2/code-pages/employment-types

Get types of employment › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get types of employment › Responses

OK

Employment type. Examples include Employee, Part time, Temp
code
​string · readOnly · required

The code used for input

description
​string · readOnly · required

A description of the particular code's meaning


Get causes for end of employment

GET
https://api.entur.io
/personnelticket/v2/code-pages/employment-end-causes

Get causes for end of employment › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get causes for end of employment › Responses

OK

The reason for an employment to end
code
​string · readOnly · required

The code used for input

description
​string · readOnly · required

A description of the particular code's meaning


Did you find what you were looking for?